Error trying to start Rails Server

I have this issue rying to start server on Ruby on Rails.

C:\Users\ogautier\RoR\holamundo>rails server C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/nokogiri-1.6.6.2-x64-mingw32/lib/nokogiri.rb:29:in `require': cannot load such file -- nokogiri/nokogiri (LoadError) from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/nokogiri-1.6.6.2-x64-mingw32/lib/nokogiri.rb:29:in `rescue in <top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/nokogiri-1.6.6.2-x64-mingw32/lib/nokogiri.rb:25:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/loofah-2.0.2/lib/loofah.rb:3 :in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/loofah-2.0.2/lib/loofah.rb:3 :in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/rails-html-sanitizer-1.0.2/lib/rails-html-sanitizer.rb:2:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/rails-html-sanitizer-1.0.2/lib/rails-html-sanitizer.rb:2:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/sanitize_helper.rb:3:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/sanitize_helper.rb:3:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/text_helper.rb:32:in `<module:TextHelper>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/text_helper.rb:29:in `<module:Helpers>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/text_helper.rb:6:in `<module:ActionView>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/text_helper.rb:4:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/form_tag_helper.rb:18:in `<module:FormTagHelper>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/form_tag_helper.rb:14:in `<module:Helpers>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/form_tag_helper.rb:8:in `<module:ActionView>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/form_tag_helper.rb:6:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/form_helper.rb:4:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers/form_helper.rb:4:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers.rb:50:in `<module:Helpers>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers.rb:4:in `<module:ActionView>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/actionview-4.2.1/lib/action_view/helpers.rb:3:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/legacy_asset_tag_helper.rb:7:in `<module:LegacyAssetTagHelper>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/legacy_asset_tag_helper.rb:6:in `<module:Rails>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/legacy_asset_tag_helper.rb:4:in `<module:Sprockets>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/legacy_asset_tag_helper.rb:3:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/helper.rb:54:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/helper.rb:54:in `<module:Helper>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/helper.rb:7:in `<module:Rails>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/helper.rb:6:in `<module:Sprockets>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/rails/helper.rb:5:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/railtie.rb:6:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sprockets-rails-2.3.1/lib/sprockets/railtie.rb:6:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sass-rails-5.0.3/lib/sass/rails/railtie.rb:3:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sass-rails-5.0.3/lib/sass/rails/railtie.rb:3:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sass-rails-5.0.3/lib/sass/rails.rb:11:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sass-rails-5.0.3/lib/sass/rails.rb:11:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sass-rails-5.0.3/lib/sass-rails.rb:1:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/sass-rails-5.0.3/lib/sass-rails.rb:1:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/bundler-1.9.8/lib/bundler/runtime.rb:76:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/bundler-1.9.8/lib/bundler/runtime.rb:76:in `block (2 levels) in require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/bundler-1.9.8/lib/bundler/runtime.rb:72:in `each' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/bundler-1.9.8/lib/bundler/runtime.rb:72:in `block in require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/bundler-1.9.8/lib/bundler/runtime.rb:61:in `each' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/bundler-1.9.8/lib/bundler/runtime.rb:61:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/bundler-1.9.8/lib/bundler.rb:134:in `require' from C:/Users/ogautier/RoR/holamundo/config/application.rb:7:in `<top (required)>' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.1/lib/rails/commands/commands_tasks.rb:78:in `require' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.1/lib/rails/commands/commands_tasks.rb:78:in `block in server' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.1/lib/rails/commands/commands_tasks.rb:75:in `tap' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.1/lib/rails/commands/commands_tasks.rb:75:in `server' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.1/lib/rails/commands/commands_tasks.rb:39:in `run_command!' from C:/Ruby22-x64/lib/ruby/gems/2.2.0/gems/railties-4.2.1/lib/rails/commands.rb:17:in `<top (required)>' from bin/rails:4:in `require' from bin/rails:4:in `<main>'

Could you please help me?

Thanks!

-------------Problems Reply------------

You seem to be using Ruby version 2.2 on windows and Nokogiri does not provide support for that combination as of yet.

I guess you have to wait for it's next release.

For more info

Category:ruby on rails Views:1 Time:2018-06-13

Related post

  • resque-web authlogic error when trying to start rails server 2011-07-12

    I am trying to get resque-web server to mount as a rack application as per railscast reque tutorial adding this to routes file : mount Resque::Server, :at => "/resque" when i start up rails server i get this error message : /Users/rick/.rvm/gems/r

  • Error trying to run rails server 2010-12-31

    I am trying to get a basic Rails application to run on my Mac OS X 10.6.5. I created a new app called demo (rails new demo), then went into the demo directory and tried to start the app with rails server. Here is the error message I received: "/Users

  • Could not find gem 'jquery-rails (>= 0, runtime)' in any of the gem sources listed in your Gemfile. Trying to start rails server 2011-09-02

    Source: http://rubygems.org gem 'rails', '3.1.0' # Bundle edge Rails instead: # gem 'rails', :git => 'git://github.com/rails/rails.git' gem 'sqlite3' gem 'json' # Gems used only for assets and not required # in production environments by default.

  • Library not loaded: libmysqlclient.16.dylib error when trying to run 'rails server' on OS X 10.6 with mysql2 gem 2010-12-28

    I've been struggling with this for some time. I've installed Rails 3, gem, mysql on my Snow Leopard machine. All was going well until I created my first project and tried to run rails server Upon running this I get: jontybrook$ rails server /Library/

  • Trying to start backburner server for Rails application and failed 2009-12-05

    I've just created a new rails application using command: rails blog Now I'm following blog/README file. To get started, I'm trying to start backburner server as stated in the README file: Change directory into myapp and start the web server: script/s

  • Not able to start Rails server 2011-06-27

    I am working on Ubuntu 10.04 LTS, Lucid Lynx, have installed Ruby on Rails 3 on it. I am not able to start Rails server. I am getting the following error. [email protected]:~/Desktop/projects/ver$ rails s /home/mah/.rvm/gems/ruby-1.9.2-p0/gems/railties-

  • getting error messsage when starting rails console: 2012-03-10

    Hi there Im trying to start rails console so I typed "rails console" at the command line and I get this error message on the console /Users/AM/.rvm/gems/ruby-1.9.2-p290/gems/activerecord-3.2.1/lib/active_record/connection_adapters/abstract/connection

  • uninitialized constant Formtastic::SemanticFormBuilder (NameError) when starting rails server 2012-04-13

    I was trying to start my rails server, but I am getting the following error: /config/initializers/formtastic.rb:27:in `': uninitialized constant Formtastic::SemanticFormBuilder (NameError) The only thing I can remember what I did last was a bundle in

  • Error failed to start the server 2012-07-22

    When I select to update my soft fax modem. My system crashes automatically and reboots only to crash again? I restored my system to previous settings and now when I double click on chrome or some of the applications it doesnt open. After some more do

  • The program encountered an error trying to contact the server. Please try again later Code 80072F8F 2014-12-07

    Original title:Microsoft "Fix it" troubleshooting can't find server I am connected to the internet (no problem), yet when I run Microsoft "Fix it" it states: Troubleshooting cannot continue because an error has occurred. "We're sorry, but the program

  • Novice learning RoR: Trying to run Rails server but getting odd output in terminal 2011-04-17

    I'm trying to run Rails Server in Ubuntu 10.10 terminal. But I get an output completely different from that shown in my tutorial: Usage: rails new APP_PATH [options] Options: -r, [--ruby=PATH] # Path to the Ruby binary of your choice # Default: /home

  • I get Run-time error '75' Path/file access error trying to start a product. 2014-11-27

    I get Run-time error '75' Path/file access error trying to start a product. How can I find out what file it is trying to access. Is there a log or something? --------------Solutions------------- Hi, 1. When exactly do you get this error message? 2. H

  • Just started ROR Lynda Tutorial, Error while trying to execute rails server 2011-06-14

    Just started ROR Lynda Tutorial, Error while trying to execute the rails server in terminal. New to ROR. Followed tutorial closely and installed all necessary gems and files. Creating a simple CMS. However I'm stuck with the following error. $ rails

  • Updated ruby from 1.8.7 to 1.9.3 now get RubyGem error when start rails server 2012-02-11

    I had ruby 1.8.7 installed on ubuntu 10.04 on linode, and I was running rails 3.0.7 for my rails app. I then install rvm and used rvm to install ruby 1.9.3. I have set my default ruby to 1.9.3 (my original ruby was not installed using rvm). Now when

  • Why do I get a Readline error when trying to start rails console? 2012-02-14

    UPDATE: I probably messed up my system while trying solutions found somewhere else. I started from scratch and Ruby 1.9.3 installed without a hitch. Now to try to get ree-1.8.7 to play nice alongside... I'm trying to install Ruby 1.9.3 using RVM on K

  • Error while starting Rails server 2012-04-04

    Hello i am new to ruby and rails ... but when i am starting the rail server i am getting this error This is the error i am getting D:\mynewapp>ruby script/server => Booting WEBrick => Rails 2.3.5 application starting on http://0.0.0.0:3000 D

  • start rails server in windows on port 80? 2011-03-28

    I'm on a Windows machine, and I'm trying to start a rails app on port 80. I'm running the command prompt as an administrator, but when I try rails server --port=80, I get TCPServer Error: Permission denied - bind(2) Running on port 81 works fine, tho

  • Start rails server from python script 2014-05-17

    I have written a rails app for a friends college project on a Raspberry pi, using thin server gem. The app logs temperatures and reads limits back to a python script that runs on boot up. This python code then controls servos and lights to heat/cool

  • Strange "no such file to load - redis-namespace" exception when start rails server 2010-07-12

    I'm using Rails 2.3.8 + redis + resque + redis-namespace This is part of my environment.rb config.gem 'jrails' config.gem 'haml' config.gem 'redis' config.gem 'redis-namespace' config.gem 'resque This is my gem list redis (2.0.3) redis-namespace (0.7

  • Starting rails server for different apps 2011-03-22

    If I am working on two different rails apps (app_one, app_two), how does the rails server work when I switch from working on app_one to working on app_two? Does app_two show up in a different port? When I go to localhost:3000 it keeps showing app_one

  • Start rails server with absolute path 2011-05-18

    I'm trying to make a script to run my rails dev server, but the absolute path doesn't want to work. This is what I've got; /home/me/dev/app/script/rails server >> /var/log/rails.output.log It just throws an error saying, "configuration /home/me

  • Unable to start Rails server 2011-08-12

    The issue is when I try to start server with rails server command after successfully created Rails app by running rails new myapp -d=mysql. However, I cant get the server to start and it gives me the following error: Could not find gem 'mysql2 (~>

  • started rails server, now what? 2011-12-16

    I'm new to ruby on rails and trying to start learning. I'm developing on mac os x. I updated rubygems and rails. I've started the server and have gotten the rails welcome page but my terminal is hung up. If i quit the terminal the server ends. Here i

  • RVM, Ruby 1.9.3, rails 3.1.3: can't start rails server due to ruby-debug 2012-03-09

    When I try to start the rails server via rails s I get this error: /home/james/.rvm/gems/ruby-1.9.3-p0/gems/ruby-debug-base19-0.11.25/lib/ruby-debug-base.rb:1:in `require': /home/james/.rvm/gems/ruby-1.9.3-p0/gems/ruby-debug-base19-0.11.25/lib/ruby_d

  • Thin doesn't start rails server 2012-04-12

    I have a ubuntu server with rails(rvm) + nginx + thin. Nginx is listening to porst 3000-3 and works good if I start rails manually, so I guess the problem is with thin. I've configured thin to start 3 server instances in ports 3000,3001,3002 but they

Copyright (C) dskims.com, All Rights Reserved.

processed in 0.265 (s). 11 q(s)